Package org.eclipse.emf.cdo.server

# Enum Class IRepositoryProtector.RevisionAuthorizer.Operation

java.lang.Object
java.lang.Enum<IRepositoryProtector.RevisionAuthorizer.Operation>
org.eclipse.emf.cdo.server.IRepositoryProtector.RevisionAuthorizer.Operation

All Implemented Interfaces:
  `Serializable`, `Comparable<IRepositoryProtector.RevisionAuthorizer.Operation>`, `Constable`

Enclosing class:
  IRepositoryProtector.RevisionAuthorizer

public static enum IRepositoryProtector.RevisionAuthorizer.Operation extends Enum<IRepositoryProtector.RevisionAuthorizer.Operation>

Author:
  Eike Stepper

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`COMBINE`
`OVERRIDE`
`VETO`

## Method Summary

Modifier and Type
Method
Description
`static IRepositoryProtector.RevisionAuthorizer.Operation`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static IRepositoryProtector.RevisionAuthorizer.Operation[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### COMBINE

public static final IRepositoryProtector.RevisionAuthorizer.Operation COMBINE

### OVERRIDE

public static final IRepositoryProtector.RevisionAuthorizer.Operation OVERRIDE

### VETO

public static final IRepositoryProtector.RevisionAuthorizer.Operation VETO

## Method Details

### values

public static IRepositoryProtector.RevisionAuthorizer.Operation[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static IRepositoryProtector.RevisionAuthorizer.Operation valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null